
local stack_factor = 5
local crafting_time_factor = 10

local volume_factor = 5
-- local recipe_factor = 5

local barrel_items_list = {}
local barrel_items_prots = {}

for item_name, item_prot in pairs (data.raw.item) do
  if (item_prot.subgroup == "fill-barrel") or (item_prot.name == "empty-barrel") then
  -- if string.find(item_name, 'barrel') then
    barrel_items_list[#barrel_items_list] = item_name
    barrel_items_prots[item_name] = item_prot
  end
end

-- multiply stack size
for item_name, item_prot in pairs (barrel_items_prots) do
  if item_prot.stack_size then
    item_prot.stack_size = item_prot.stack_size * stack_factor
  end
  
end


local barrel_recipes_list = {}
local barrel_recipes_prots = {}

for recipe_name, recipe_prot in pairs (data.raw.recipe) do
  if recipe_prot.subgroup == "fill-barrel" then
  -- if (string.find(recipe_name, 'fill-')) and (string.find(item_name, 'barrel')) then
    barrel_recipes_list[#barrel_recipes_list] = recipe_name
    barrel_recipes_prots[recipe_name] = recipe_prot
  end
end

for recipe_name, recipe_prot in pairs (data.raw.recipe) do
  if recipe_prot.subgroup == "empty-barrel" then
  -- if (string.find(recipe_name, 'empty-')) and (string.find(item_name, 'barrel')) then
    barrel_recipes_list[#barrel_recipes_list] = recipe_name
    barrel_recipes_prots[recipe_name] = recipe_prot
  end
end

-- multiply recipes craftig time factor
for recipe_name, recipe_prot in pairs (barrel_recipes_prots) do
  if recipe_prot.energy_required then
    recipe_prot.energy_required = recipe_prot.energy_required * crafting_time_factor
  end
end

--[[
local fluids_list = {}
for fluid_name, fluid_prot in pairs (data.raw.fluid) do
  if fluid_prot.auto_barrel then
    fluids_list[#fluids_list] = fluid_name
  end
end
]]


-- multiply volume of barrels
for recipe_name, recipe_prot in pairs (barrel_recipes_prots) do
  if (recipe_prot.ingredients) and (recipe_prot.results) then
    for i, ingredient in pairs (recipe_prot.ingredients) do
      if ingredient.type == "fluid" then
        ingredient.amount = ingredient.amount * volume_factor
      end
    end
    for i, result in pairs (recipe_prot.results) do
      if result.type == "fluid" then
        result.amount = result.amount * volume_factor
      end
    end
  end
end


